# AutoReloadPlus

Expands upon the base game Auto Reload setting by adding some customization to it and adding automatic reload options. 

By default, this mod has the following effects:
- Changes the required clicks to trigger an auto reload to one.
- Registers the clicks to auto reload during the weapon's shot cooldown, instead of ignoring them.
- Automatically triggers a reload if the mag has been empty for a short while.

This behavior and more can be customized in the config file.

Configurable Features:
- Customize the number of clicks to trigger an auto reload.
- Allow clicks to bypass shot cooldown (like manual reloads).
- Automatically reload if aiming down sights while having an empty mag.
- Automatically reload after a set amount of time while having an empty mag.
- Automatically reload after a set amount of time while having an empty mag and holding down fire with automatic weapons.
- All of the above features can be edited without restarting the game (uses live edit).

### Patch Notes

#### v1.1.0

- Fixed the mod not properly working in multiplayer.
- Added a new feature, Aim Triggers Auto Reload, which triggers a reload immediately upon aiming with an empty mag.
- Adjusted default settings to be more minimalistic.

#### v1.0.0

- Initial Release